Show patches with: Submitter = Peter Korsgaard       |    Archived = No       |   1977 patches
« 1 2 3 419 20 »
Patch Series A/F/R/T S/W/F Date Submitter Delegate State
package/libopenssl: security bump to version 3.2.1 package/libopenssl: security bump to version 3.2.1 - - - - --- 2024-02-08 Peter Korsgaard Accepted
boot/shim: security bump to version 15.8 boot/shim: security bump to version 15.8 - - - - --- 2024-02-08 Peter Korsgaard Accepted
package/webkitgtk: security bump to version 2.42.5 package/webkitgtk: security bump to version 2.42.5 1 - - - --- 2024-02-08 Peter Korsgaard Accepted
package/ruby: build host-ruby with yaml support package/ruby: build host-ruby with yaml support - - - - --- 2024-02-07 Peter Korsgaard New
package/libtalloc: bump version to 2.4.2 package/libtalloc: bump version to 2.4.2 - - - - --- 2024-02-07 Peter Korsgaard Accepted
[PATCH-2023.02.x] package/{glibc, localedef}: security bump to version glibc-2.36-128-gb9b7d6a27aa0… [PATCH-2023.02.x] package/{glibc, localedef}: security bump to version glibc-2.36-128-gb9b7d6a27aa0… - - - - --- 2024-01-31 Peter Korsgaard Accepted
[2/2] package/{glibc, localedef}: security bump to version glibc-2.38-44-gd37c2b20a4787463d192b3204… [1/2] package/glibc: add CVE ignore for CVE-2023-4806 - - - - --- 2024-01-31 Peter Korsgaard Accepted
[1/2] package/glibc: add CVE ignore for CVE-2023-4806 [1/2] package/glibc: add CVE ignore for CVE-2023-4806 - - - - --- 2024-01-31 Peter Korsgaard Accepted
package/syslog-ng: needs pcre2, not pcre package/syslog-ng: needs pcre2, not pcre - - - - --- 2024-01-30 Peter Korsgaard Accepted
package/darkhttpd: security bump to version 1.15 package/darkhttpd: security bump to version 1.15 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[12/12] package/gstreamer1-editing-services: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[11/12] package/gst-omx: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[10/12] package/gst1-vaapi: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[09/12] package/gst1-rtsp-server: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[08/12] package/gst1-python: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[07/12] package/gst1-libav: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[06/12] package/gst1-devtools: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[05/12] package/gst1-plugins-ugly: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[04/12] package/gst1-plugins-bad: security bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[03/12] package/gst1-plugins-good: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[02/12] package/gst1-plugins-base: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
[01/12] package/gstreamer1: bump to version 1.22.9 [01/12] package/gstreamer1: bump to version 1.22.9 - - - - --- 2024-01-26 Peter Korsgaard Accepted
board/microchip/mpfs_icicle/genimage.cfg: drop legacy gpt = true board/microchip/mpfs_icicle/genimage.cfg: drop legacy gpt = true - - - 1 --- 2024-01-26 Peter Korsgaard Accepted
package/environment-setup: do not export GIT_DIR package/environment-setup: do not export GIT_DIR - - - - --- 2024-01-26 Peter Korsgaard Accepted
[2/2] package/xserver_xorg-server: security bump to version 21.1.11 [1/2] package/xwayland: security bump to version 23.2.4 - - - - --- 2024-01-25 Peter Korsgaard Accepted
[1/2] package/xwayland: security bump to version 23.2.4 [1/2] package/xwayland: security bump to version 23.2.4 - - - - --- 2024-01-25 Peter Korsgaard Accepted
package/refpolicy: move patch to version subdir for custom git support package/refpolicy: move patch to version subdir for custom git support - - - - --- 2024-01-16 Peter Korsgaard Accepted
[2/2] package/micropython: drop GIT_DIR=. workaround [1/2] package/Makefile.in: set GIT_DIR=. in {HOST, TARGET}_MAKE_ENV - - - - --- 2024-01-11 Peter Korsgaard Accepted
[1/2] package/Makefile.in: set GIT_DIR=. in {HOST, TARGET}_MAKE_ENV [1/2] package/Makefile.in: set GIT_DIR=. in {HOST, TARGET}_MAKE_ENV - - - - --- 2024-01-11 Peter Korsgaard Accepted
package/udev: move back sgx group from systemd package/udev: move back sgx group from systemd - - - - --- 2024-01-11 Peter Korsgaard Accepted
boot/shim: security bump to version 15.6 boot/shim: security bump to version 15.6 - - - - --- 2024-01-08 Peter Korsgaard Accepted
boot/arm-trusted-firmware: fix fiptool linking issue on hosts without openssl boot/arm-trusted-firmware: fix fiptool linking issue on hosts without openssl - 1 - - --- 2024-01-04 Peter Korsgaard Accepted
[12/12] package/gstreamer1-editing-services: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[11/12] package/gst-omx: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[10/12] package/gst1-vaapi: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[09/12] package/gst1-rtsp-server: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[08/12] package/gst1-python: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[07/12] package/gst1-libav: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[06/12] package/gst1-devtools: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[05/12] package/gst1-plugins-ugly: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[04/12] package/gst1-plugins-bad: security bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[03/12] package/gst1-plugins-good: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[02/12] package/gst1-plugins-base: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
[01/12] package/gstreamer1: bump to version 1.22.8 [01/12] package/gstreamer1: bump to version 1.22.8 - - - - --- 2023-12-27 Peter Korsgaard Accepted
package/xserver_xorg-server: security bump to version 21.1.10 package/xserver_xorg-server: security bump to version 21.1.10 - - - - --- 2023-12-27 Peter Korsgaard Accepted
package/libssh: security bump to version 0.10.6 package/libssh: security bump to version 0.10.6 - - - - --- 2023-12-21 Peter Korsgaard Accepted
package/putty: security bump to version 0.80 package/putty: security bump to version 0.80 - - - - --- 2023-12-21 Peter Korsgaard Accepted
package/jq: security bump to version 1.7.1 package/jq: security bump to version 1.7.1 - - - - --- 2023-12-18 Peter Korsgaard Accepted
package/xwayland: libdrm is required, not optional package/xwayland: libdrm is required, not optional - 1 - - --- 2023-12-11 Peter Korsgaard Accepted
[2/2] package/xwayland: security bump to version 23.2.2 [1/2] package/xserver_xorg-server: security bump to version 21.1.9 - - - - --- 2023-12-11 Peter Korsgaard Accepted
[1/2] package/xserver_xorg-server: security bump to version 21.1.9 [1/2] package/xserver_xorg-server: security bump to version 21.1.9 - - - - --- 2023-12-11 Peter Korsgaard Accepted
package/libcurl: security bump to version 8.5.0 package/libcurl: security bump to version 8.5.0 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[12/12] package/gstreamer1-editing-services: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[11/12] package/gst-omx: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[10/12] package/gst1-vaapi: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[09/12] package/gst1-rtsp-server: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[08/12] package/gst1-python: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[07/12] package/gst1-libav: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[06/12] package/gst1-devtools: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[05/12] package/gst1-plugins-ugly: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[04/12] package/gst1-plugins-bad: security bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[03/12] package/gst1-plugins-good: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[02/12] package/gst1-plugins-base: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
[01/12] package/gstreamer1: bump to version 1.22.7 [01/12] package/gstreamer1: bump to version 1.22.7 - - - - --- 2023-12-09 Peter Korsgaard Accepted
toradx_apalis_imx6_defconfig: add download hashes for linux/uboot toradx_apalis_imx6_defconfig: add download hashes for linux/uboot - - - - --- 2023-12-01 Peter Korsgaard Accepted
package/intel-microcode: security bump to version 20231114 package/intel-microcode: security bump to version 20231114 - - - - --- 2023-11-15 Peter Korsgaard Accepted
[4/4] support/dependencies/check-host-tar.sh: blacklist tar 1.35+ [1/4] Revert "package/tar: allowing building even on non-Y2038 compliant systems" - - - - --- 2023-11-12 Peter Korsgaard Accepted
[3/4] package/tar: add upstream patch for CVE-2022-48303 [1/4] Revert "package/tar: allowing building even on non-Y2038 compliant systems" - - - - --- 2023-11-12 Peter Korsgaard Accepted
[2/4] Revert "package/tar: security bump to version 1.35" [1/4] Revert "package/tar: allowing building even on non-Y2038 compliant systems" - - - - --- 2023-11-12 Peter Korsgaard Accepted
[1/4] Revert "package/tar: allowing building even on non-Y2038 compliant systems" [1/4] Revert "package/tar: allowing building even on non-Y2038 compliant systems" - - - - --- 2023-11-12 Peter Korsgaard Accepted
utils/add-custom-hashes: add script to manage global patch dir hashes utils/add-custom-hashes: add script to manage global patch dir hashes - - - - --- 2023-11-07 Peter Korsgaard Accepted
[4/4] configs/avenger96_defconfig: downgrade to TF-A v2.5 [1/4] configs/stm32mp157a_dk1_defconfig: unbreak TF-A build with GCC >= 12 - - - - --- 2023-11-05 Peter Korsgaard Accepted
[3/4] configs/stm32mp157c_odyssey_defconfig: use a fixed TF-A version [1/4] configs/stm32mp157a_dk1_defconfig: unbreak TF-A build with GCC >= 12 - - - - --- 2023-11-05 Peter Korsgaard Accepted
[2/4] configs/stm32mp157c_dk2_defconfig: unbreak TF-A build with GCC >= 12 [1/4] configs/stm32mp157a_dk1_defconfig: unbreak TF-A build with GCC >= 12 - - - - --- 2023-11-05 Peter Korsgaard Accepted
[1/4] configs/stm32mp157a_dk1_defconfig: unbreak TF-A build with GCC >= 12 [1/4] configs/stm32mp157a_dk1_defconfig: unbreak TF-A build with GCC >= 12 - - - - --- 2023-11-05 Peter Korsgaard Accepted
boot/arm-trusted-firmware: set BUILD_STRING to package version boot/arm-trusted-firmware: set BUILD_STRING to package version - - - - --- 2023-11-02 Peter Korsgaard Accepted
package/xen: security bump to version 4.14.6 package/xen: security bump to version 4.14.6 - - 1 - --- 2023-10-30 Peter Korsgaard Accepted
package/dfu-programmer: bump version to 1.1.0 package/dfu-programmer: bump version to 1.1.0 - - - - --- 2023-10-27 Peter Korsgaard Accepted
[2/2] package/aufs-util: use HTTPS for git.code.sf.net [1/2] package/aufs: use HTTPS for git.code.sf.net - - - - --- 2023-10-27 Peter Korsgaard Accepted
[1/2] package/aufs: use HTTPS for git.code.sf.net [1/2] package/aufs: use HTTPS for git.code.sf.net - - - - --- 2023-10-27 Peter Korsgaard Accepted
Config.in: default to HTTPS for s.b.n backup site Config.in: default to HTTPS for s.b.n backup site - - - - --- 2023-10-27 Peter Korsgaard Accepted
package/riscv64-elf-toolchain: add .hash file package/riscv64-elf-toolchain: add .hash file - - - - --- 2023-10-27 Peter Korsgaard Accepted
package/mxsldr: add .hash file package/mxsldr: add .hash file - - - - --- 2023-10-25 Peter Korsgaard Accepted
package/go: security bump to version 1.21.3 package/go: security bump to version 1.21.3 - - 1 - --- 2023-10-11 Peter Korsgaard Accepted
package/libcue: security bump to version 2.3.0 package/libcue: security bump to version 2.3.0 - - - - --- 2023-10-11 Peter Korsgaard Accepted
[12/12] package/gstreamer1-editing-services: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[11/12] package/gst-omx: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[10/12] package/gst1-rtsp-vaapi: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[09/12] package/gst1-rtsp-server: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[08/12] package/gst1-python: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[07/12] package/gst1-libav: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[06/12] package/gst1-devtools: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[05/12] package/gst1-plugins-ugly: security bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[04/12] package/gst1-plugins-bad: security bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[03/12] package/gst1-plugins-good: security bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[02/12] package/gst1-plugins-base: security bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[01/12] package/gstreamer1: bump to version 1.22.6 [01/12] package/gstreamer1: bump to version 1.22.6 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[PATCH-2023.08.x] package/go: security bump to version 1.20.9 [PATCH-2023.08.x] package/go: security bump to version 1.20.9 - - - - --- 2023-10-06 Peter Korsgaard Accepted
package/go: security bump to version 1.21.2 package/go: security bump to version 1.21.2 - - - - --- 2023-10-06 Peter Korsgaard Accepted
[PATCH-2023.02.x] package/{glibc, localedef}: security bump to version glibc-2.36-118-g22955ad85186… [PATCH-2023.02.x] package/{glibc, localedef}: security bump to version glibc-2.36-118-g22955ad85186… - - - - --- 2023-10-06 Peter Korsgaard Accepted
« 1 2 3 419 20 »